.ms-1 {
    margin-inline-start: 0.25rem !important;
}

.ms-2 {
    margin-inline-start: 0.5rem !important;
}

.ms-3 {
    margin-inline-start: 0.75rem !important;
}

.ms-4 {
    margin-inline-start: 1rem !important;
}

.ms-5 {
    margin-inline-start: 1.25rem !important;
}

.ms-6 {
    margin-inline-start: 1.5rem !important;
}

.ms-7 {
    margin-inline-start: 1.75rem !important;
}

.ms-8 {
    margin-inline-start: 2rem !important;
}

.me-1 {
    margin-inline-end: 0.25rem !important;
}

.me-2 {
    margin-inline-end: 0.5rem !important;
}

.me-3 {
    margin-inline-end: 0.75rem !important;
}

.me-4 {
    margin-inline-end: 1rem !important;
}

.me-5 {
    margin-inline-end: 1.25rem !important;
}

.me-6 {
    margin-inline-end: 1.5rem !important;
}

.me-7 {
    margin-inline-end: 1.75rem !important;
}

.me-8 {
    margin-inline-end: 2rem !important;
}

body {
    font-family: "Cairo", sans-serif !important;
    font-size: 0.9rem;
    background-color: #fff;
    margin: 0;
}

.whole-content {
    /* margin-right: 260px; */
    transition: all ease 0.5s;
}

.main-page {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    min-height: calc(100vh - 220px);
}

.main-header {
    min-height: 50px;
    padding: 1rem 0;
    display: flex;
    align-items: center;
    justify-content: center;
}

.main-footer {
    min-height: 50px;
    padding: 0.5rem 1rem;
    background-color: white;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    border-top: 1px solid #ced4da;
}

.block-container {
    position: relative;
    border: 1px solid #dee2e6;
    border-radius: 5px;
    padding: 5px 15px 15px 15px;
}

.block-header {
    position: absolute;
    top: -14px;
    right: 10px;
    color: var(--custom-dark-blue-color);
    background-color: white;
    padding: 0 7px;
}

.text-start {
    text-align: start !important;
}

/*======================*/
/*.btn-primary {*/
/*    background-color: #e61e62 !important;*/
/*    border-color: #e61e62 !important;*/
/*}*/

/*.btn-primary:hover,*/
/*.btn-primary:active,*/
/*.btn-primary:focus-visible {*/
/*    background-color: #e61e62 !important;*/
/*    border-color: #e61e62 !important;*/
/*}*/

/*.btn-primary:focus {*/
/*    box-shadow: none !important;*/
/*}*/

/*.form-group label.custom-label {*/
/*    position: relative;*/
/*    top: 7px;*/
/*    right: 10px;*/
/*    color: #245578;*/
/*    background-color: white;*/
/*    padding: 0 5px;*/
/*    font-size: 0.8rem;*/
/*    z-index: 1;*/
/*}*/


/*==============================================*/
.btn-primary {
    color: #fff;
    background-color: #696cff;
    border-color: #696cff;
    box-shadow: 0 0.125rem 0.25rem 0 rgba(105, 108, 255, 0.4);
}
.btn-primary:hover {
    color: #fff;
    background-color: #5f61e6;
    border-color: #5f61e6;
    transform: translateY(-1px);
}
.btn-check:focus + .btn-primary, .btn-primary:focus, .btn-primary.focus {
    color: #fff;
    background-color: #5f61e6;
    border-color: #5f61e6;
    transform: translateY(0);
    box-shadow: none;
}
.btn-check:checked + .btn-primary, .btn-check:active + .btn-primary, .btn-primary:active, .btn-primary.active, .show > .btn-primary.dropdown-toggle {
    color: #fff;
    background-color: #595cd9;
    border-color: #595cd9;
}
.btn-check:checked + .btn-primary:focus, .btn-check:active + .btn-primary:focus, .btn-primary:active:focus, .btn-primary.active:focus, .show > .btn-primary.dropdown-toggle:focus {
    box-shadow: none;
}
.btn-primary.disabled, .btn-primary:disabled {
    box-shadow: none;
}

.btn-outline-primary {
    color: #696cff;
    border-color: #696cff;
    background: transparent;
}
.btn-outline-primary:hover {
    color: #fff;
    background-color: #5f61e6;
    border-color: #5f61e6;
    box-shadow: 0 0.125rem 0.25rem 0 rgba(105, 108, 255, 0.4);
    transform: translateY(-1px);
}
.btn-check:focus + .btn-outline-primary, .btn-outline-primary:focus {
    color: #fff;
    background-color: #5f61e6;
    border-color: #5f61e6;
    box-shadow: none;
    transform: translateY(0);
}
.btn-check:checked + .btn-outline-primary, .btn-check:active + .btn-outline-primary, .btn-outline-primary:active, .btn-outline-primary.active, .btn-outline-primary.dropdown-toggle.show {
    color: #fff;
    background-color: #595cd9;
    border-color: #595cd9;
}
.btn-check:checked + .btn-outline-primary:focus, .btn-check:active + .btn-outline-primary:focus, .btn-outline-primary:active:focus, .btn-outline-primary.active:focus, .btn-outline-primary.dropdown-toggle.show:focus {
    box-shadow: none;
}
.btn-outline-primary.disabled, .btn-outline-primary:disabled {
    box-shadow: none;
}

.btn-outline-primary .badge {
    background: #696cff;
    border-color: #696cff;
    color: #fff;
}

.btn-outline-primary:hover .badge,
.btn-outline-primary:focus:hover .badge,
.btn-outline-primary:active .badge,
.btn-outline-primary.active .badge,
.show > .btn-outline-primary.dropdown-toggle .badge {
    background: #fff;
    border-color: #fff;
    color: #696cff;
}
/*==============================================*/

.form-select {
    background-position: left 0.75rem center;
}

label.error {
    color: #e61e62 !important
}

.hide {
    display: none;
}

.exam_date {
    font-weight: bold;
    font-size: 15px;
}

h5 {
    line-height: 2;
    /* الرقم أكبر = مسافة أكبر */
}
